Bug 902427 - [abrt] gedit-3.6.2-1.fc18: gtk_tree_row_ref_deleted: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
Summary: [abrt] gedit-3.6.2-1.fc18: gtk_tree_row_ref_deleted: Process /usr/bin/gedit w...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7d89ac51916afe8b872370309b1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-21 16:27 UTC by cornel panceac
Modified: 2014-02-05 15:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 15:32:48 UTC


Attachments (Terms of Use)
File: backtrace (28.83 KB, text/plain)
2013-01-21 16:27 UTC, cornel panceac
no flags Details
File: cgroup (129 bytes, text/plain)
2013-01-21 16:27 UTC, cornel panceac
no flags Details
File: core_backtrace (2.00 KB, text/plain)
2013-01-21 16:27 UTC, cornel panceac
no flags Details
File: dso_list (12.07 KB, text/plain)
2013-01-21 16:27 UTC, cornel panceac
no flags Details
File: environ (1.37 KB, text/plain)
2013-01-21 16:27 UTC, cornel panceac
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-21 16:27 UTC, cornel panceac
no flags Details
File: maps (35.07 KB, text/plain)
2013-01-21 16:28 UTC, cornel panceac
no flags Details
File: open_fds (417 bytes, text/plain)
2013-01-21 16:28 UTC, cornel panceac
no flags Details
File: proc_pid_status (781 bytes, text/plain)
2013-01-21 16:28 UTC, cornel panceac
no flags Details
File: var_log_messages (298 bytes, text/plain)
2013-01-21 16:29 UTC, cornel panceac
no flags Details

Description cornel panceac 2013-01-21 16:27:40 UTC
Version-Release number of selected component:
gedit-3.6.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        gedit
crash_function: gtk_tree_row_ref_deleted
executable:     /usr/bin/gedit
kernel:         3.6.10-4.fc18.i686.PAE
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_row_ref_deleted at gtktreemodel.c:2094
 #1 gtk_tree_row_reference_deleted at gtktreemodel.c:2473
 #2 gtk_tree_view_row_deleted at gtktreeview.c:9007
 #8 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #9 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #10 remove_file at gtkfilesystemmodel.c:1912
 #11 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #12 ffi_call_SYSV at ../src/x86/sysv.S:64
 #13 ffi_call at ../src/x86/ffi.c:303
 #14 g_cclosure_marshal_generic_va at gclosure.c:1550

Comment 1 cornel panceac 2013-01-21 16:27:44 UTC
Created attachment 684425 [details]
File: backtrace

Comment 2 cornel panceac 2013-01-21 16:27:47 UTC
Created attachment 684426 [details]
File: cgroup

Comment 3 cornel panceac 2013-01-21 16:27:52 UTC
Created attachment 684427 [details]
File: core_backtrace

Comment 4 cornel panceac 2013-01-21 16:27:55 UTC
Created attachment 684428 [details]
File: dso_list

Comment 5 cornel panceac 2013-01-21 16:27:57 UTC
Created attachment 684429 [details]
File: environ

Comment 6 cornel panceac 2013-01-21 16:27:59 UTC
Created attachment 684430 [details]
File: limits

Comment 7 cornel panceac 2013-01-21 16:28:01 UTC
Created attachment 684431 [details]
File: maps

Comment 8 cornel panceac 2013-01-21 16:28:03 UTC
Created attachment 684432 [details]
File: open_fds

Comment 9 cornel panceac 2013-01-21 16:28:55 UTC
Created attachment 684433 [details]
File: proc_pid_status

Comment 10 cornel panceac 2013-01-21 16:29:01 UTC
Created attachment 684434 [details]
File: var_log_messages

Comment 11 HeCSa 2013-03-09 21:13:54 UTC
Editing some text files, gedit just closed.

backtrace_rating: 4
Package: gedit-3.6.2-1.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)

Comment 12 Fedora End Of Life 2013-12-21 10:39:58 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2014-02-05 15:32:51 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.